﻿using HealthMonitor.Service.Resolver.Interface;
using HealthMonitor.Service.Sub;

namespace HealthMonitor.WebApi
{
    public class PackageProcess : IDisposable
    {
        private readonly ILogger<PackageProcess> _logger;

        private readonly MsgManager _msgManager;

        public PackageProcess(ILogger<PackageProcess> logger, MsgManager msgManager)
        {
            _logger = logger;
            _msgManager = msgManager;
        }

        public async Task<bool> ResolveAsync()
        {
            try 
            {
                var resolver = _msgManager.GetMsgResolver();
                if (resolver != null)
                {
                    await resolver.ExecuteMessageAsync().ConfigureAwait(false);
                }

            }
            catch (Exception ex) 
            {

                Console.WriteLine(ex.Message);
                //_logger.LogError($"[{msg.MessageId}] 未处理异常 message: {ex.Message}\n {ex.StackTrace}");
            }

            return true;

        }

        public void Dispose()
        {
            throw new NotImplementedException();
        }
    }
}
